Problemas con las actualizaciones

Imagen de pedromedioreal
0 puntos

Hola:

Tengo una cpu amd 64 Bits. Instalé Ubuntu 7.10 y he ido trabajando sin problemas (Bueno el maldito flash y algún otro) Ahora si que los tengo. Intenté instalar la última versión del Kernel linux-image 2.6.22.14.22_amd64 pero no he podido. Siempre me daba un error en lib/firrmware: No existe el archivo. Seguí trabajando con la versión anterior del Kernel la 2.6.20-16 generic pero ayer al instalar unas actualizaciones también se ha jorobado y al intentar conectar me da el terrible error Kernel panic. Al intentar reinstalarla me da el siguiente error:

linux-image-2.6.20-16-generic:

El paquete linux-image-2.6.20-16-generic no tiene una versión disponible, pero existe en la base de datos.
Esto generalmente significa que el paquete fue mencionado en una dependencia y nunca fue subido, ha sido declarado obsoleto o no está disponible en el contenido de sources.list

Estoy preocupado proque ya sólo me queda una versión del Kernel que funciona y no se si medará problemas con las siguientes actualizaciones. ¿Alguien puede ayudarme y me explica cómo puedo instalar la versión linux-image 2.6.22.14.22 o la 2.6.20-16 ? Gracias.